#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sysklogd
Version		:	1.5.1
Release		:	14.8.0.0%{?dist}
Summary		:	Tools for managing Linux kernel packet filtering capabilities
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://www.infodrom.org/projects/sysklogd/download.php

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Requires	:	lfs-bootscripts
#-----------------------------------------------------------------------------
%description
The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS INSTALL
%config(noreplace) %{_sysconfdir}/syslog.conf
/sbin/*logd
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi


%post
/sbin/chkconfig --del %{name}
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i '/Error loading kernel symbols/{n;n;d}' ksym_mod.c
sed -i 's/union wait/int/' syslogd.c

#to setup debunginfo data
sed -i							\
	-e "s/ -O3/ -g3 -O3/"				\
	-e "s/^LDFLAGS= -s/LDFLAGS= -g3/"		\
	-e "s/ -m 500 -s/ -m 700/"			\
	Makefile

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}{%{_sysconfdir},%{_mandir}/man{5,8},/sbin}
%{__make} 							\
	TOPDIR=%{buildroot}					\
	MANDIR=%{buildroot}%{_mandir}				\
	BINDIR=%{buildroot}/sbin				\
	MAN_USER=`id -nu`					\
	MAN_GROUP=`id -ng`					\
	install


cat > %{buildroot}%{_sysconfdir}/syslog.conf << EOF
# Begin /etc/syslog.conf

auth,authpriv.* -/var/log/auth.log
daemon.* -/var/log/daemon.log
kern.* -/var/log/kern.log
mail.* -/var/log/mail.log
user.* -/var/log/user.log
cron.* -/var/log/cron.log
*.* ;auth,authpriv.none,damon,kern,mail,user,cron -/var/log/sys.log
*.emerg *

# End /etc/syslog.conf
EOF

#-----------------------------------------------------------------------------
%changelog
